ObjectIdInfo
Date: 2016-12-04

com.fasterxml.jackson.databind.introspect

## Class ObjectIdInfo

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.ObjectIdInfo

-     public class ObjectIdInfo
      extends java.lang.Object

  Container object that encapsulates information usually derived from `JsonIdentityInfo` annotation or its custom alternatives

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_alwaysAsId`
    `protected java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>>` | `_generator`
    `protected PropertyName` | `_propertyName`
    `protected java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdResolver>` | `_resolver`
    `protected java.lang.Class<?>` | `_scope`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ObjectIdInfo(PropertyName name, java.lang.Class<?> scope, java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen)` Deprecated.
    `protected` | `ObjectIdInfo(PropertyName prop, java.lang.Class<?> scope, java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen, boolean alwaysAsId)`
    `protected` | `ObjectIdInfo(PropertyName prop, java.lang.Class<?> scope, java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen, boolean alwaysAsId, java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdResolver> resolver)`
    `` | `ObjectIdInfo(PropertyName name, java.lang.Class<?> scope, java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen, java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdResolver> resolver)`
    `` | `ObjectIdInfo(java.lang.String name, java.lang.Class<?> scope, java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAlwaysAsId()`
    `java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>>` | `getGeneratorType()`
    `PropertyName` | `getPropertyName()`
    `java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdResolver>` | `getResolverType()`
    `java.lang.Class<?>` | `getScope()`
    `java.lang.String` | `toString()`
    `ObjectIdInfo` | `withAlwaysAsId(boolean state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _propertyName

          protected final PropertyName _propertyName

    - #### _generator

          protected final java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> _generator

    - #### _resolver

          protected final java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdResolver> _resolver

    - #### _scope

          protected final java.lang.Class<?> _scope

    - #### _alwaysAsId

          protected final boolean _alwaysAsId

  - ### Constructor Detail

    - #### ObjectIdInfo

          public ObjectIdInfo(PropertyName name,
                      java.lang.Class<?> scope,
                      java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen,
                      java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdResolver> resolver)

    - #### ObjectIdInfo

          @Deprecated
          public ObjectIdInfo(PropertyName name,
                                 java.lang.Class<?> scope,
                                 java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen)

      Deprecated.

    - #### ObjectIdInfo

          @Deprecated
          public ObjectIdInfo(java.lang.String name,
                                 java.lang.Class<?> scope,
                                 java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen)

      Deprecated.

    - #### ObjectIdInfo

          protected ObjectIdInfo(PropertyName prop,
                      java.lang.Class<?> scope,
                      java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen,
                      boolean alwaysAsId)

    - #### ObjectIdInfo

          protected ObjectIdInfo(PropertyName prop,
                      java.lang.Class<?> scope,
                      java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen,
                      boolean alwaysAsId,
                      java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdResolver> resolver)

  - ### Method Detail

    - #### withAlwaysAsId

          public ObjectIdInfo withAlwaysAsId(boolean state)

    - #### getPropertyName

          public PropertyName getPropertyName()

    - #### getScope

          public java.lang.Class<?> getScope()

    - #### getGeneratorType

          public java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> getGeneratorType()

    - #### getResolverType

          public java.lang.Class<? extends com.fasterxml.jackson.annotation.ObjectIdResolver> getResolverType()

    - #### getAlwaysAsId

          public boolean getAlwaysAsId()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`